View Issue Details

IDProjectCategoryView StatusLast Update
0024731LazarusDebuggerpublic2015-04-16 08:26
ReporterCyraxAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityrandom
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0024731: During debugging, Lazarus will report error and then SIGSEGV.
DescriptionTarget system: win32, Free Pascal trunk 2.7.1-r25060, Lazarus trunk 1.1-r42051
fpc make options all install sourceinstall UPXPROG=echo OPT="-gw2 -godwarfsets
-gl -O- -OoNO -Xs-" COMPILER_OPTIONS="-gw2 -godwarfsets -gl -O- -OoNO -Xs-" INST
ALL_PREFIX=I:\free_pascal_and_lazarus\free_pascal_and_lazarus\fpc\trunk\build\tr
unk_x32 REVSTR=25060 IDE=1
lazarus make options make all UPXPROG=echo OPT="-gw2 -godwarfsets -gh -gl -O- -
OoNO -dHEAPTRC_WINDOW -Xs-" USESVN2REVISIONINC=0

The GDB command:
"-data-evaluate-expression parentfp"
returned the error:
",msg="No symbol \"parentfp\" in current context.""

Backtrace from Call Stack window:
---
#0 fpc_dynarray_high(0xbeef0030) at ..\inc\dynarr.inc:57
0000001 SELECTPARENTFRAME(0xca6f3cc, 0) at ..\debugger\gdbmidebugger.pp:12464
0000002 DOEXECUTE(0x3eda5218) at ..\debugger\gdbmidebugger.pp:13206
0000003 EXECUTE(0x3eda5218) at ..\debugger\gdbmidebugger.pp:11655
0000004 RUNQUEUE(0x254648) at ..\debugger\gdbmidebugger.pp:7108
0000005 QUEUECOMMAND(0x254648, 0x1ab03160, false) at ..\debugger\gdbmidebugger.pp:7247
0000006 STARTDEBUGGING(0x254648, 0x159e6f98) at ..\debugger\gdbmidebugger.pp:8210
0000007 STARTDEBUGGING(0x254648, ECTCONTINUE) at ..\debugger\gdbmidebugger.pp:8194
0000008 GDBRUN(0x254648) at ..\debugger\gdbmidebugger.pp:7547
0000009 REQUESTCOMMAND(0x254648, DCRUN, 0xca6fbdc, -1) at ..\debugger\gdbmidebugger.pp:7971
0000010 REQCMD(0x254648, DCRUN, 0xca6fbdc, -1) at ..\debugger\debugger.pp:6548
0000011 RUN(0x254648) at ..\debugger\debugger.pp:6562
0000012 RUNDEBUGGER(0xca90ea0) at debugmanager.pas:2593
0000013 ONRUNTIMER(0xca90ea0, 0xf771c50) at debugmanager.pas:857
0000014 DOONTIMER(0xf771c50) at customtimer.pas:175
0000015 TIMER(0xf771c50) at customtimer.pas:150
0000016 TIMERCALLBACKPROC(0, 275, 10518, 174990906) at win32\win32callback.inc:2785
0000017 gapfnScSendMessage at :0
0000018 ?? at :0
---
TagsNo tags attached.
Fixed in Revision42178
LazTarget1.2
Widgetset
Attached Files

Activities

Martin Friebe

2013-07-20 13:48

manager   ~0068972

Is there a way to reproduce it?

Can you supply a --debug-log please?

Martin Friebe

2013-07-23 05:13

manager   ~0069016

The crash is fixed in 42178

The crash is triggered by a gdb error before. This is probably the same reason as in 0024729. Therefore closing this issue.

If gdb should fail (crash) again at this command (parentfp) after the other issue is fixed, then please re-open.

Issue History

Date Modified Username Field Change
2013-07-11 18:20 Cyrax New Issue
2013-07-11 18:20 Cyrax Status new => assigned
2013-07-11 18:20 Cyrax Assigned To => Martin Friebe
2013-07-20 13:48 Martin Friebe LazTarget => -
2013-07-20 13:48 Martin Friebe Note Added: 0068972
2013-07-20 13:48 Martin Friebe Status assigned => feedback
2013-07-23 05:13 Martin Friebe Fixed in Revision => 42178
2013-07-23 05:13 Martin Friebe LazTarget - => 1.2
2013-07-23 05:13 Martin Friebe Note Added: 0069016
2013-07-23 05:13 Martin Friebe Status feedback => resolved
2013-07-23 05:13 Martin Friebe Fixed in Version => 1.1 (SVN)
2013-07-23 05:13 Martin Friebe Resolution open => fixed
2013-07-23 05:13 Martin Friebe Target Version => 1.2.0
2015-04-16 08:26 Cyrax Status resolved => closed